#include <bits/stdc++.h>

using namespace std;

struct lancer {
    int first;
    double second;

    lancer() : lancer(0, 0) {

    }

    lancer(int first, double second) {
        this -> first = first;
        this -> second = second;
    }
};

int part(int min, int max, lancer arr[]) {
    // Element preko koga pivotiramo
    double pivot = arr[max].second;
    int el = min - 1;

    for (int i = min; i <= max - 1; i++) {
        if (arr[i].second <= pivot) {
            swap(arr[++el], arr[i]);
        }
    }

    swap(arr[++el], arr[max]);
    return el;
}

void quick(int min, int max, lancer arr[]) {
    if (min < max) {
        int pi = part(min, max, arr);
        quick(min, pi - 1, arr);
        quick(pi + 1, max, arr);
    }
}

int main() {
    int n;
    scanf("%d", &n);

    lancer a[n];

    long sum = 0;
    for (int i = 0; i < n; i++) {
        int first;
        double second;
        scanf("%d%lf", &first, &second);

        a[i] = *new lancer(first, second);
        sum += first;
    }

    quick(0, n - 1, a);

    long double opt = 0, currSum = 0;
    for (int i = 0; i < n ; i++) {
        opt = max(opt, a[i].second * (sum - currSum) / 100);
        currSum += a[i].first;
    }

    cout << fixed;
    cout << opt;
    return 0;
}